## org.apache.catalina
Interface LifecycleListener

All Known Implementing Classes:
  ContextConfig, EngineConfig, HostConfig, UserConfig, WarpConnection

public interface LifecycleListener

Interface defining a listener for significant events (including "component start" and "component stop" generated by a component that implements the Lifecycle interface.

Version:
  $Revision: 1.3 $ $Date: 2001/07/22 20:13:30 $
Author:
  Craig R. McClanahan

Method Summary
`void` `lifecycleEvent(LifecycleEvent event)` Acknowledge the occurrence of the specified event.

Method Detail

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Acknowledge the occurrence of the specified event.

  Parameters:
    `event` - LifecycleEvent that has occurred

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.